NumberFormatException when trying to invoke service

I get a client side error when trying to invoke the StockQuote web service on www.xmethods.com. The only changes I've made to the example client code (available at xmethods.com) is to handle proxies:
Call call = new Call ();
//set up the message to go through the proxy
SOAPHTTPConnection transport = new SOAPHTTPConnection();
transport.setProxyHost("proxy4");
transport.setProxyPort(80);
call.setSOAPTransport(transport);
try{
// Invoke the service ....
Response resp = call.invoke (url,"");
}catch(SOAPException soe){
System.out.println("Soap Exception");
soe.printStackTrace();
The SOAPException gets thrown by the invoke method and the following output occurs. Help.
Soap Exception
[SOAPException: faultCode=SOAP-ENV:Client; msg=3194  ; targetException=java.lang.NumberFormatException: 3
194  ]
at org.apache.soap.transport.http.SOAPHTTPConnection.send (SOAPHTTPConnection.java:324)
at org.apache.soap.rpc.Call.invoke(Call.java:205)
at stockquoteClient.getQuote(stockquoteClient.java:45)
at stockquoteClient.main(stockquoteClient.java:68)

This is just a guess, but in this code: Response resp = call.invoke (url,""); the second arg to "invoke" is declared as Object[], so should it be Response resp = call.invoke (url,null); or Response resp = call.invoke (url, new Object[1] {null});Mike

Similar Messages

  • A failure was reported when trying to invoke a service application: EndpointFailure

    Event logs getting spammed with this - can't find anything specific on the internet:
    A failure was reported when trying to invoke a service application: EndpointFailure
    Process Name: OWSTIMER
    Process ID: 6316
    AppDomain Name: DefaultDomain
    AppDomain ID: 1
    Service Application Uri: urn:schemas-microsoft-com:sharepoint:service:ba2301f4153b44a584c0065555ff67b5#authority=urn:uuid:02089d3f1be64db184670ab3f4060abc&authority=https://rsacdfsp02:32844/Topology/topology.svc
    Active Endpoints: 3
    Failed Endpoints:1
    Affected Endpoint: http://<server>:32843/ba2301f4153b44a584c0065555ff67b5/SearchService.svc
    When I browse to the Affected Endpoint (SearchService.svc) I get the below:
    This is a Windows© Communication Foundation service.
    Metadata publishing for this service is currently disabled
    If you have access to the service, you can enable metadata publishing by completing the following steps to modify your web or application configuration file:
    1. Create the following service behavior configuration, or add the <serviceMetadata> element to an existing service behavior configuration:

    Hi,
    refer the below article
     although articled focused on the App Management service application, endpoint failures can occur for just about any SharePoint service application and these steps should be applicable for those as well.
    http://blogs.msdn.com/b/sharepoint_strategery/archive/2013/01/29/troubleshooting-app-management-wcf-end-point-failures.aspx
    Regards
    Whenever you see a reply and if you think is helpful,Vote As Helpful! And whenever you see a reply being an answer to the question of the thread, click Mark As Answer

  • I get an web service error when trying enable web services. I have latest update and rebooted

    i get an web service error when trying enable web services. I have latest update and rebooted

    hi there philnj,
    could you help the community narrow troubleshooting by providing a little more information? Particularly what model printer are we dealing with?
    You can say thanks by clicking the Kudos Star in my post. If my post resolves your problem, please mark it as Accepted Solution so others can benefit too.

  • Getting "Origin is not allowed" When Trying to Invoke RESTful Service from Another Domain

    I am having problems trying to invoke my RESTful web service from a different domain. I'm well aware of the normal restrictions of cross-site / cross-domain scripting but in Oracle documentation it says that all origins are allowed by default when creating a RESTful service without using authentication.
    I have created a very simple service and am trying to invoke it using jQuery.Ajax calls from a different domain and I am getting XMLHttpRequest cannot load http://address_to_my_web_service. Origin http://calling_from_address is not allowed by Access-Control-Allow-Origin.
    I understand that using JSONP instead of JSON is actually the best practice around cross-site scripting but it appears as though APEX does not support JSONP because with JSONP, there are URI parameters added to the base request (callback).
    I am stuck and would greatly appreciate any help.
    I'm starting to wonder if this could be a bug because Oracle documentation says all origins should be allowed when using a service that does not require authentication. I also tried to force the origin to be allowed by typing it in and also using the wildcard '*' and it still did not work.
    Thanks,
    Mark Williamson
    EDIT: It is now working after adding a URI prefix to my web service module.

    The SSL handshake works differently to a browser as it is making the connections automatically.
    The browser asks every time if you want to trust an expired certificate, and it also recommends not to. Its impractical to manually check every service call to say do you trust the certificate so the functionality doesn't exist. I doubt any integration product does this. Therefore there isn't a option to ignore the certificate if it has expired.
    This makes sence as the certificate is untrustworthy. The whole idea around SSL is trusting the site you are communicating with, all parties need to be trusted. This stops hackers from replicating their site and intercepting data.
    If the administrator of the remote site is not willing to renew the certificate, are they really interested in SSL. I suggest they expose a non SSL service.
    cheers
    James

  • "Cipher not initialized" when trying to invoke CRM On Demand web service

    Hi,
    I'm try to invoke CRM On Demand web service for which there is a pre-req to get a session ID by making an https request. I've the below java embedded code which does that. It works fine if I run the below code in my desktop as a java program, but when I deploy it on SOA 11g I get "Caused by: java.lang.IllegalStateException: Cipher not initialized" error (find below the stack trace). Please let me know what's going wrong here?
    String sessionString = "FAIL";
    String wsLocation =
    "https://secure-********.crmondemand.com/Services/Integration";
    String headerName;
    try {
    // create an HTTPS connection to the OnDemand webservices
    java.net.URL wsURL =
    new java.net.URL(wsLocation + "?command=login");
    java.net.HttpURLConnection wsConnection =
    (java.net.HttpURLConnection)wsURL.openConnection();
    // disable caching
    wsConnection.setUseCaches(false);
    // set some http headers to indicate the username and password we are using to logon
    wsConnection.setRequestProperty("UserName",
    wsConnection.setRequestProperty("Password", "***********");
    wsConnection.setRequestMethod("GET");
    // see if we got a successful response
    if (wsConnection.getResponseCode() ==
    java.net.HttpURLConnection.HTTP_OK) {
    // get the session id from the cookie setting
    for (int i = 0; ; i++) {
    headerName = wsConnection.getHeaderFieldKey(i);
    if (headerName != null &&
    headerName.equals("Set-Cookie")) {
    // found the Set-Cookie header (code assumes only one cookie is being set)
    sessionString = wsConnection.getHeaderField(i);
    if (sessionString != null ||
    sessionString.startsWith("JSESSIONID")) {
    break;
    String formattedID =
    sessionString.substring(sessionString.indexOf("=") + 1,
    sessionString.indexOf(";"));
    setVariableData("SessionID", formattedID);
    //System.out.println("Session ID: " + sessionString);
    } catch (Exception e) {
    e.printStackTrace();
    setVariableData("SessionID", e.getMessage());
    System.out.println("Logon Exception generated :: " + e);
    throw new RuntimeException(e);
    Caused by: java.lang.IllegalStateException: Cipher not initialized
    at javax.crypto.Cipher.c(DashoA13*..)
    at javax.crypto.Cipher.update(DashoA13*..)
    at com.certicom.tls.provider.Cipher.update(Unknown Source)
    at com.certicom.tls.record.MessageEncryptor.compressEncryptSend(Unknown Source)
    at com.certicom.tls.record.MessageEncryptor.compressEncryptSend(Unknown Source)
    at com.certicom.tls.record.MessageFragmentor.write(Unknown Source)
    at com.certicom.tls.record.WriteHandler.write(Unknown Source)
    at com.certicom.tls.interfaceimpl.TLSConnectionImpl.fireAlertSent(Unknown Source)
    at com.certicom.tls.record.handshake.HandshakeHandler.fireAlert(Unknown Source)
    at com.certicom.tls.record.handshake.HandshakeHandler.fireAlert(Unknown Source)
    at com.certicom.tls.record.handshake.HandshakeHandler.handleHandshakeMessage(Unknown Source)
    at com.certicom.tls.record.handshake.HandshakeHandler.handleHandshakeMessages(Unknown Source)
    at com.certicom.tls.record.MessageInterpreter.interpretContent(Unknown Source)
    at com.certicom.tls.record.MessageInterpreter.decryptMessage(Unknown Source)
    at com.certicom.tls.record.ReadHandler.processRecord(Unknown Source)
    at com.certicom.tls.record.ReadHandler.readRecord(Unknown Source)
    at com.certicom.tls.record.ReadHandler.readUntilHandshakeComplete(Unknown Source)
    at com.certicom.tls.interfaceimpl.TLSConnectionImpl.completeHandshake(Unknown Source)
    at com.certicom.tls.record.WriteHandler.write(Unknown Source)
    at com.certicom.io.OutputSSLIOStreamWrapper.write(Unknown Source)
    at java.io.BufferedOutputStream.flushBuffer(BufferedOutputStream.java:65)
    at java.io.BufferedOutputStream.flush(BufferedOutputStream.java:123)
    at java.io.FilterOutputStream.flush(FilterOutputStream.java:123)
    at weblogic.net.http.HttpURLConnection.writeRequests(HttpURLConnection.java:158)
    at weblogic.net.http.HttpURLConnection.getInputStream(HttpURLConnection.java:363)
    at weblogic.net.http.SOAPHttpsURLConnection.getInputStream(SOAPHttpsURLConnection.java:37)
    at weblogic.net.http.HttpURLConnection.getResponseCode(HttpURLConnection.java:952)
    at orabpel.productquerybpelprocess.ExecLetBxExe0.execute(ExecLetBxExe0.java:93)
    Thanks!

    Same question...did you ever got this resolved...for me, even the simple java program, when run on JDev 11g is ALSO not working. I am getting this.
    Using JDev 10g on the same machine (or for that matter SOA 10g) works perfectly.
    Have posted this thread too - Getting SSLHandshakeException when trying to login to OCOD using Jdev 11g
    Thanks,
    Amit

  • Getting error when trying to invoke web service - disable SSL

    Hi
    Please advise me how to disable the SSL for bpel.
    The problem which am facing is as below
    I am trying to invoke web service in another site, its showing me error as
    javax.net.ssl.SSLHandshakeException: java.security.cert.CertificateExpiredException:
    Now i would like to disable the SSL for this handshake, so that it wont look for certificates and invokes the web service directly, right.
    So please advise how to disable to SSL in bpel (10.1.2) now.
    Thanks
    Suneel Jakka

    The SSL handshake works differently to a browser as it is making the connections automatically.
    The browser asks every time if you want to trust an expired certificate, and it also recommends not to. Its impractical to manually check every service call to say do you trust the certificate so the functionality doesn't exist. I doubt any integration product does this. Therefore there isn't a option to ignore the certificate if it has expired.
    This makes sence as the certificate is untrustworthy. The whole idea around SSL is trusting the site you are communicating with, all parties need to be trusted. This stops hackers from replicating their site and intercepting data.
    If the administrator of the remote site is not willing to renew the certificate, are they really interested in SSL. I suggest they expose a non SSL service.
    cheers
    James

  • Soap layer error when trying to invoke a webservice.

    Hi,
    I am new to Weblogic.
    I have an issue while invoking the webservice of a webmethods application.
    I am invoking that webservice using rpc call (call.invoke() method of javax.xml.rpc api).
    Please find error description occured in the Server logs of weblogic server.
    Exception while invoking the service call Message is :failed to invoke operation '__incidentReqInput' due to an error in the soap layer(SAAJ);
    nested exception is: Message[Found SOAPElement
    [<m:payload  xmlns:m="http://www.abc.com/gs/solutions/message"
      xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
      xsi:nil="true">
    </m:payload>]. But was not able to find a Part that is registered with this Message which corresponds to this SOAPElement. Th
    e name of the element should be one of these[__bea_noname_result]]StackTrace[
    javax.xml.soap.SOAPException: Found SOAPElement [<m:payload xmlns:m="http://www.abc.com/gs/solutions/message"
    xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
    xsi:nil="true">
    </m:payload>]. But was not able to find a Part that is registered with this Message which corresponds to this SOAPElement. Th
    e name of the element should be one of these[__bea_noname_result]
    at weblogic.webservice.core.DefaultMessage.toJava(DefaultMessage.java:478)
    at weblogic.webservice.core.ClientDispatcher.receive(ClientDispatcher.java:325)
    at weblogic.webservice.core.ClientDispatcher.dispatch(ClientDispatcher.java:144)
    at weblogic.webservice.core.DefaultOperation.invoke(DefaultOperation.java:457)
    at weblogic.webservice.core.DefaultOperation.invoke(DefaultOperation.java:443)
    at weblogic.webservice.core.rpc.CallImpl.invoke(CallImpl.java:566)
    at weblogic.webservice.core.rpc.CallImpl.invoke(CallImpl.java:419)
    at com.gs.customerbonding.hub.httpHandler.WSResponseSenderImpl.sendResponse(WSResponseSenderImpl.jcs:370)
    at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
    at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:39)
    at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)
    at java.lang.reflect.Method.invoke(Method.java:324)
    at com.bea.wlw.runtime.core.dispatcher.DispMethod.invoke(DispMethod.java:371)
    at com.bea.wlw.runtime.core.container.Invocable.invoke(Invocable.java:423)
    at com.bea.wlw.runtime.core.container.Invocable.invoke(Invocable.java:396)
    at com.bea.wlw.runtime.jcs.container.JcsProxy.invoke(JcsProxy.java:381)
    at $Proxy106.sendResponse(Unknown Source)
    Any help is highly appreciated.
    Regards
    Nag

    I am not using any wsdl file. I'm trying to invoke a webservice that is at client's end (using RPC call). Mine is a generic server program. When i'm calling other clients using the same method, im not facing any issues. Only for 1 particular end-point i'm getting the above exception. Any suggestions?

  • Exception javax.xml.ws.soap.SOAPFault when trying to invoke OBR

    Hi,
    1 .I am have created a SOA Composite which has an OBR. I deployed that project and that was working fine.
    2 .In Order to call the OBR service from another composite I have created another composite in which a web service(reference) adapter which is towards the right side of the composite shall call the web service of the OBR composite.
    When I point the URL to the WSDL of the OBR web service, I get the error. The screenshot of the error is avbl at the following URL. http://img199.imageshack.us/img199/7015/37887205.jpg
    3 .So I have manually saved the WSDL of OBR web service as a file and saved it in the proj that i mentioned in 2. Then I was able to create web service adapter with out any problem. Then I created a composite (screenshot http://img59.imageshack.us/img59/7826/30673557.jpg ) which calles the OBR web service and gets the reply.
    4. After deploying the composite, when I am trying to invoke the OBR service, I get the following error in the console of the Soa server.
    SEVERE: AbstractWebServiceBindingComponent.dispatchRequest Unable to dispatch re
    quest to http://rws60045rems:5002/soa-infra/services/default/EventLogProj/OracleRules1_DecisionService_1 due to exceptionjavax.xml.ws.soap.SOAPFaultException
    SEVERE: Received a business fault{http://xmlns.oracle.com/OracleRules2/OracleRul
    es2_DecisionService_1}operationErroredFault. Sending fault to fault action
    SEVERE: AbstractWebServiceBindingComponent.dispatchRequest Unable to dispatch re
    quest to http://rws60045rems:5002/soa-infra/services/default/HighValueOrderOBRPr
    oject/OracleRules2_DecisionService_1 due to exceptionjavax.xml.ws.soap.SOAPFault
    Exception: Invalid URI "ID:<65469.1271952700558.0>" in Addressing element Relate
    sTo.
    : Got an exception: oracle.fabric.common.FabricInvocationException
    oracle.tip.mediator.infra.exception.MediatorException: ORAMED-03303:[Unexpected exception in case execution]Unexpected exception in request response operation "callFunctionStateless" on reference "CallHighValOrdService". Possible Fix:Check whether the reference service is properly configured and running or look at exception for analysing the reason or contact oracle support.
    Please help me to resolve these errors. Please let me know what could have led to this problem and exceptions.
    Thanks,
    Raj kumar
    Edited by: Raja Kumar on Apr 22, 2010 10:06 AM
    Edited by: Raja Kumar on Apr 22, 2010 10:07 AM

    Hi,
    The problem is solved now. While creating the WS adapter in Jdev, I have tried specifying the URL with the Ip address instead of server name. seems Jdev was not able to resolve the name of the server. Once I created composite with this and deployed the error got resolved.
    Thanks,
    Raj

  • HttpURLConnection got stack when trying to invoke

    Hello
    im trying to perform http get request with HttpURLConnection when tomcat server is starting up
    the function is located in the servlet init method , but it seams that when it reached to the part it reform the connection
    the connection got stocked .
    im trying to fallow this tutorial :
    What im trying to do is to recompile the jsp's before the application loading.
    I was fallowing this link :
    http://www.j2eegeek.com/blog/2004/05/03/a-different-twist-on-pre-compiling-jsps/
    But instead of loading the jsp's from the web.xml im looping throw all my jsp's
    here is my code:
    code:
    public void init(ServletConfig config) throws ServletException { System.out.println("TestInit");
    String urlString= "http://localhost:8070/jsp/Test.jsp?jsp_precompile=true" HttpURLConnection connection;
    BufferedReader in;
    try {
    URL url = new URL(urlString);
    connection = (HttpURLConnection)url.openConnection();
    System.out.println(connection.getResponseCode());
    in = new BufferedReader(new InputStreamReader(connection.getInputStream()));
    System.out.println("Done Compileing jsp TestInit");
    } catch (IOException e) {
    e.printStackTrace();
    } }

    Hi Naichen,
    I was able to successfully run both the autotype and clientgen Ant task, on the
    WSDL you provided. The code behind those Ant tasks are pretty much what the WebLogic
    Web Services test page run. Are you using WLS 8.1 SP2? If not, you might want
    to try with that version.
    Regards,
    Mike Wooten
    "Naichen Liu" <[email protected]> wrote:
    >
    >
    >
    Hi,
    I am having a warning message when trying to generate java proxy jar
    file on weblogic8.1
    webservice test web app, the message is as follows:
    "Warning Failed to generate client proxy from WSDL definition for this
    service.
    Prescription Please verify the <types> section of the WSDL."
    in the mean time, on weblogic starting terminal, I saw the following
    exceptions,
    C:\DOCUME~1\u252738\LOCALS~1\Temp\wlwproxy37508.jar1533409921\com\ual\www\rcc\cb
    t\schema\modifypnr\AlphaLength4Deserializer.java:36: cannot resolve symbol
    symbol : class FacetUtils
    location: package binding
    weblogic.xml.schema.binding.FacetUtils.checkLengthFacet(__typed_obj,4L);
    ^
    C:\DOCUME~1\u252738\LOCALS~1\Temp\wlwproxy37508.jar1533409921\com\ual\www\rcc\cb
    t\schema\modifypnr\OSIFieldAnonTypeDeserializer.java:36: cannot resolve
    symbol
    symbol : class FacetUtils
    location: package binding
    weblogic.xml.schema.binding.FacetUtils.checkMaxLengthFacet(__typed_obj,69L);
    ^
    C:\DOCUME~1\u252738\LOCALS~1\Temp\wlwproxy37508.jar1533409921\com\ual\www\rcc\cb
    t\schema\modifypnr\AlphaLength2Deserializer.java:36: cannot resolve symbol
    symbol : class FacetUtils
    location: package binding
    weblogic.xml.schema.binding.FacetUtils.checkLengthFacet(__typed_obj,2L);
    ^
    C:\DOCUME~1\u252738\LOCALS~1\Temp\wlwproxy37508.jar1533409921\com\ual\www\rcc\cb
    t\schema\modifypnr\FreeFormAnonTypeDeserializer.java:36: cannot resolve
    symbol
    symbol : class FacetUtils"
    Can anybody help me about this issue? I attached WSDL file, also United
    Airlines
    got an enterprise weblogic license deal with BEA, any help will be highly
    appreciated.
    Thanks!!!
    Naichen

  • An error when tried to invoke a page in iAS

    I deployed a JSP application to iAS (Oracel 8i) based on
    the instruction provided in this forum. Included all JAR files
    in jserv.properties. But when i tried to invoke a page via
    browser, received following error:
    Request URI:/Touch_Jsp/CheckInScreen.jsp
    Exception:
    java.lang.NoSuchMethodError: oracle.xml.parser.v2.SAXParser:
    method setContentHandler(Lorg/xml/sax/ContentHandler;)V not
    found
    Please advice what i missed.

    Samid,
    You can get more information about that issue in sap note 1594190.
    I think you have to open a message in XX-SER-SWFL-EXPORT to request that authorization.
    BR
    JDimas

  • Dump when trying to invoke RFC function from Webchannel

    Dear all,
    I recently tried to invoke a RFC function from Webchannel. But I got dump like this:
    Actually, the error message showed that, null object is pulling out from com.sap.wec.tc.core.backend.ConnectionFactory.getDefaultConnection().
    I have no idea about this at all. Does anyone know it?
    Thank you.
    Best Regards,
    Sam.

    Hi Sam,
    the issue occurs in your khalibre package. I suppose that you try to access the backend but entries in the backendobject-config.xml, businessobject-config.xml are not correct. Or not taken into account correctly.
    Thus, please check these settings in the xml files and ensure that you module enhancement is taken into account. Finally, Hamendra already proposed the debugger...
    Best regards,
      Steffen

  • NoSuchMethodError when trying to invoke web Service in Clustered Environmen

    I have a Weblogic Web Service that calls another Weblogic Web Service through the use of a Web Service Control.
    (Both the services are deployed in Weblogic 10.0)
    My Web Serivce works fine when deployed on Admin Server, but when it is deployed in managed server, it throws a NoSuchMethodError when i try to call this Service. (Through weblogic test client or any other web service testing tool).
    I have verified that it is because of the presence of web service control, but i dont have any resolution for that.
    Here below is the stack trace of the error that i am getting.
    java.lang.NoSuchMethodError: com.bea.wlw.util.internal.WlwLogger.debug(Ljava/lang/Object;)V
    at weblogic.controls.jws.ControlListener.onCreate(ControlListener.java:84)
    at weblogic.wsee.jws.container.CompositeListener.onCreate(CompositeListener.java:55)
    at weblogic.wsee.jws.container.Container.init(Container.java:123)
    at weblogic.wsee.jws.container.Container.<init>(Container.java:79)
    at weblogic.wsee.jws.container.ContainerFactory.createContainer(ContainerFactory.java:51)
    at weblogic.wsee.jws.container.ContainerFactory.getContainer(ContainerFactory.java:31)
    at weblogic.wsee.jws.container.ContainerHandler.getContainer(ContainerHandler.java:40)
    at weblogic.wsee.jws.container.ContainerHandler.handleRequest(ContainerHandler.java:27)
    at weblogic.wsee.handler.HandlerIterator.handleRequest(HandlerIterator.java:123)
    at weblogic.wsee.ws.dispatch.server.ServerDispatcher.dispatch(ServerDispatcher.java:85)
    at weblogic.wsee.ws.WsSkel.invoke(WsSkel.java:80)
    at weblogic.wsee.server.servlet.SoapProcessor.handlePost(SoapProcessor.java:66)
    at weblogic.wsee.server.servlet.SoapProcessor.process(SoapProcessor.java:44)
    at weblogic.wsee.server.servlet.BaseWSServlet$AuthorizedInvoke.run(BaseWSServlet.java:257)
    at weblogic.wsee.server.servlet.BaseWSServlet.service(BaseWSServlet.java:156)
    at javax.servlet.http.HttpServlet.service(HttpServlet.java:820)
    at weblogic.servlet.internal.StubSecurityHelper$ServletServiceAction.run(StubSecurityHelper.java:226)
    at weblogic.servlet.internal.StubSecurityHelper.invokeServlet(StubSecurityHelper.java:124)
    at weblogic.servlet.internal.ServletStubImpl.execute(ServletStubImpl.java:283)
    at weblogic.servlet.internal.ServletStubImpl.execute(ServletStubImpl.java:175)
    at weblogic.servlet.internal.WebAppServletContext$ServletInvocationAction.run(WebAppServletContext.java:3370)
    at weblogic.security.acl.internal.AuthenticatedSubject.doAs(AuthenticatedSubject.java:321)
    at weblogic.security.service.SecurityManager.runAs(Unknown Source)
    at weblogic.servlet.internal.WebAppServletContext.securedExecute(WebAppServletContext.java:2117)
    at weblogic.servlet.internal.WebAppServletContext.execute(WebAppServletContext.java:2023)
    at weblogic.servlet.internal.ServletRequestImpl.run(ServletRequestImpl.java:1359)
    at weblogic.work.ExecuteThread.execute(ExecuteThread.java:200)
    at weblogic.work.ExecuteThread.run(ExecuteThread.java:172)
    Please help..
    Ashwini

    I would ask this in the workshop newsgroup.
    Ashwini Sharma wrote:
    I have a Weblogic Web Service that calls another Weblogic Web Service through the use of a Web Service Control.
    (Both the services are deployed in Weblogic 10.0)
    My Web Serivce works fine when deployed on Admin Server, but when it is deployed in managed server, it throws a NoSuchMethodError when i try to call this Service. (Through weblogic test client or any other web service testing tool).
    I have verified that it is because of the presence of web service control, but i dont have any resolution for that.
    Here below is the stack trace of the error that i am getting.
    java.lang.NoSuchMethodError: com.bea.wlw.util.internal.WlwLogger.debug(Ljava/lang/Object;)V
    at weblogic.controls.jws.ControlListener.onCreate(ControlListener.java:84)
    at weblogic.wsee.jws.container.CompositeListener.onCreate(CompositeListener.java:55)
    at weblogic.wsee.jws.container.Container.init(Container.java:123)
    at weblogic.wsee.jws.container.Container.<init>(Container.java:79)
    at weblogic.wsee.jws.container.ContainerFactory.createContainer(ContainerFactory.java:51)
    at weblogic.wsee.jws.container.ContainerFactory.getContainer(ContainerFactory.java:31)
    at weblogic.wsee.jws.container.ContainerHandler.getContainer(ContainerHandler.java:40)
    at weblogic.wsee.jws.container.ContainerHandler.handleRequest(ContainerHandler.java:27)
    at weblogic.wsee.handler.HandlerIterator.handleRequest(HandlerIterator.java:123)
    at weblogic.wsee.ws.dispatch.server.ServerDispatcher.dispatch(ServerDispatcher.java:85)
    at weblogic.wsee.ws.WsSkel.invoke(WsSkel.java:80)
    at weblogic.wsee.server.servlet.SoapProcessor.handlePost(SoapProcessor.java:66)
    at weblogic.wsee.server.servlet.SoapProcessor.process(SoapProcessor.java:44)
    at weblogic.wsee.server.servlet.BaseWSServlet$AuthorizedInvoke.run(BaseWSServlet.java:257)
    at weblogic.wsee.server.servlet.BaseWSServlet.service(BaseWSServlet.java:156)
    at javax.servlet.http.HttpServlet.service(HttpServlet.java:820)
    at weblogic.servlet.internal.StubSecurityHelper$ServletServiceAction.run(StubSecurityHelper.java:226)
    at weblogic.servlet.internal.StubSecurityHelper.invokeServlet(StubSecurityHelper.java:124)
    at weblogic.servlet.internal.ServletStubImpl.execute(ServletStubImpl.java:283)
    at weblogic.servlet.internal.ServletStubImpl.execute(ServletStubImpl.java:175)
    at weblogic.servlet.internal.WebAppServletContext$ServletInvocationAction.run(WebAppServletContext.java:3370)
    at weblogic.security.acl.internal.AuthenticatedSubject.doAs(AuthenticatedSubject.java:321)
    at weblogic.security.service.SecurityManager.runAs(Unknown Source)
    at weblogic.servlet.internal.WebAppServletContext.securedExecute(WebAppServletContext.java:2117)
    at weblogic.servlet.internal.WebAppServletContext.execute(WebAppServletContext.java:2023)
    at weblogic.servlet.internal.ServletRequestImpl.run(ServletRequestImpl.java:1359)
    at weblogic.work.ExecuteThread.execute(ExecuteThread.java:200)
    at weblogic.work.ExecuteThread.run(ExecuteThread.java:172)
    Please help..
    Ashwini

  • Error 500 when trying to invoke discoverer viewer & plus

    Hi all,
    we recently installed the patch for web services in discoverer.
    But since then we've been getting a strange exception. Have you seen this before, or know what it is? The exception is resolved after a restart of the server. I'm getting it when I try to view http://host:port/discoverer/viewer for example.
    500 Internal Server Error
    oracle.discoverer.applications.share.ShareError: error.null.not.allowed
         at oracle.discoverer.applications.share.util.ArgumentChecker.disallowNull(Unknown Source)
         at oracle.discoverer.applications.share.util.ArgumentChecker.disallowZeroLengthOrNull(Unknown Source)
         at oracle.discoverer.applications.framework.SSOUser.<init>(Unknown Source)
         at oracle.discoverer.applications.framework.ApplicationCredentials.<init>(Unknown Source)
         at oracle.discoverer.applications.framework.ApplicationController.execute(Unknown Source)
         at org.apache.struts.action.RequestProcessor.processActionPerform(RequestProcessor.java:484)
         at org.apache.struts.action.RequestProcessor.process(RequestProcessor.java:274)
         at org.apache.struts.action.ActionServlet.process(ActionServlet.java:1482)
         at org.apache.struts.action.ActionServlet.doGet(ActionServlet.java:507)
         at javax.servlet.http.HttpServlet.service(HttpServlet.java:740)
         at javax.servlet.http.HttpServlet.service(HttpServlet.java:853)
         at com.evermind[Oracle Application Server Containers for J2EE 10g (10.1.2.2.0)].server.http.ServletRequestDispatcher.invoke(ServletRequestDispatcher.java:834)
         at com.evermind[Oracle Application Server Containers for J2EE 10g (10.1.2.2.0)].server.http.ServletRequestDispatcher.forwardInternal(ServletRequestDispatcher.java:340)
         at com.evermind[Oracle Application Server Containers for J2EE 10g (10.1.2.2.0)].server.http.ServletRequestDispatcher.forward(ServletRequestDispatcher.java:229)
         at oracle.discoverer.applications.viewer.url.URLServlet._process(Unknown Source)
         at oracle.discoverer.applications.viewer.url.URLServlet.doGet(Unknown Source)
         at javax.servlet.http.HttpServlet.service(HttpServlet.java:740)
         at javax.servlet.http.HttpServlet.service(HttpServlet.java:853)
         at com.evermind[Oracle Application Server Containers for J2EE 10g (10.1.2.2.0)].server.http.ResourceFilterChain.doFilter(ResourceFilterChain.java:65)
         at oracle.discoverer.applications.framework.ApplicationEncodingFilter.doFilter(Unknown Source)
         at com.evermind[Oracle Application Server Containers for J2EE 10g (10.1.2.2.0)].server.http.ServletRequestDispatcher.invoke(ServletRequestDispatcher.java:673)
         at com.evermind[Oracle Application Server Containers for J2EE 10g (10.1.2.2.0)].server.http.ServletRequestDispatcher.forwardInternal(ServletRequestDispatcher.java:340)
         at com.evermind[Oracle Application Server Containers for J2EE 10g (10.1.2.2.0)].server.http.HttpRequestHandler.processRequest(HttpRequestHandler.java:830)
         at com.evermind[Oracle Application Server Containers for J2EE 10g (10.1.2.2.0)].server.http.AJPRequestHandler.run(AJPRequestHandler.java:228)
         at com.evermind[Oracle Application Server Containers for J2EE 10g (10.1.2.2.0)].server.http.AJPRequestHandler.run(AJPRequestHandler.java:133)
         at com.evermind[Oracle Application Server Containers for J2EE 10g (10.1.2.2.0)].util.ReleasableResourcePooledExecutor$MyWorker.run(ReleasableResourcePooledExecutor.java:192)
         at java.lang.Thread.run(Thread.java:534)

    Hi,
    Contact the Administrator of Oracle Application Server. He has the possibility ton stop Discoverer Viewer and Plus

  • SOAP error when trying to invoke an WebService

    Hello.
    I have an ejb 3.0 as a WebService. I deployed it on Jboss 4.05GA, all ok.
    But when i try to call the service from an application it does't work.
    XML reader error: javax.xml.stream.XMLStreamException: ParseError at [row,col]:[1,1]
    Message: Premature end of file.
    at com.sun.xml.internal.ws.streaming.XMLStreamReaderUtil.wrapException(XMLStreamReaderUtil.java:249)
    [b]
    and in Jboss i have:
    16:43:50,835 ERROR [StandardEndpointServlet] Error processing web service request
    javax.xml.rpc.JAXRPCException: Cannot create SOAPFault message for: javax.xml.rpc.soap.SOAPFaultException: setProperty must be overridden by all subclasses of SOAPMessage
    at org.jboss.ws.jaxrpc.SOAPFaultExceptionHelper.exceptionToFaultMessage(SOAPFaultExceptionHelper.java:194)
    here is the source of my application:
    public class Down {
    @WebServiceRef(wsdlLocation="http://localhost.localdomain:8080/EJBModule1/NewWebService?WSDL")
    static public App.NewWebServiceService service;
    /** Creates a new instance of Down */
    public Down() {
    try {
    App.NewWebService we=new NewWebServiceService().getNewWebServicePort();
    //if (service == null) System.err.println("service e null");
    //else we = service.getNewWebServicePort();
    if (we != null) System.out.println(we.add(2,3));
    else System.out.println("E null!!");
    } catch (Exception ex) {ex.printStackTrace();}
    public static void main(String[] args) {
    Down dd = new Down();
    If I use the @WebServiceRef, service is null and i can't do anything. NewWebServiceService is generated (I used a new WebService/Web Service Client) and it added it as a WebServiceReference in NetBeans). Thanks a lot!

    Hi!
    This error occurs if you run jboss on SDK 1.6. Using JDK 1.5, it works fine. See http://www.jboss.org/?module=bb&op=viewtopic&p=4020868 for more information concerning this bug.
    Best regards,
    Thilo

  • Errors when trying to install Service Pack 3 for Exchange 2010

    I have 2 Exchange 2010 servers that are running SP2 and I am trying to install SP3 on both.
    They are installed in a DAG and so I am running the .\StartDAGserverMaintenance.ps1 script before attempting to install SP3.  When attempting to run the SP3 setup I get the following errors:
    Setup cannot continue with the upgrade because the 'powershell' (Machine: P-E10-2.company.com) process (ID: 5296) has open files. Close the process and restart Setup.
    AND
    Install hotfix Microsoft Knowledge Base article 2550886 from http://support.microsoft.com/kb/2550886 to improve Windows Failover Cluster transient communication instability when deploying stretched Database Availability Groups across datacenters.
    I can download the hotfix and apply it but has anyone had any issues with this particular hotfix?  Does anyone have any ideas about the powershell error?
    thanks for your help.

    Hi,
    That hotfix relates to a known issue implementing DAG's across data centres (an issue particularly with Windows failover clustering). As a best practice is should always be installed. Please review the following article, which describes why it should be
    installed:
    http://blogs.technet.com/b/exchange/archive/2011/11/20/recommended-windows-hotfix-for-database-availability-groups-running-windows-server-2008-r2.aspx
    In regards to the open files, as the other poster suggested, there will be another user logged onto the server who has a powershell window open. Ensure all other users are logged off the server before performing the upgrade.
    Best Regards

Maybe you are looking for


HashFlare